org.modeshape.jcr.cache.document

## Class SessionNode.ChangedChildren

- java.lang.Object
- - org.modeshape.jcr.cache.document.SessionNode.ChangedChildren

- All Implemented Interfaces:
    ChildReferences.Changes
  Enclosing class:
    SessionNode

      @ThreadSafe
      protected static class SessionNode.ChangedChildren
      extends Object
      implements ChildReferences.Changes

  The representation of the changes made to the child references of this node.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SessionNode.ChangedChildren()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<NodeKey,SessionNode.Insertions>` | `getInsertionsByBeforeKey()` Get the map of insertions keyed by the 'before' node
    `Map<NodeKey,Name>` | `getNewNames()` Get the names for the new nodes, keyed by their key.
    `Set<NodeKey>` | `getRemovals()` Get the set of keys for the nodes that were removed from the list of child references.
    `StringBuilder` | `getString(StringBuilder sb)`
    `void` | `insertBefore(ChildReference before, ChildReference inserted)` Insert the supplied child reference before another child reference.
    `ChildReference` | `inserted(NodeKey key)` Get the child reference for the inserted node with the supplied key.
    `int` | `insertionCount()` Get the number of child references that were inserted.
    `int` | `insertionCount(Name name)` Get the number of child references that were inserted with the given name.
    `Iterator<ChildReferences.ChildInsertions>` | `insertions(Name name)` Get the references to the children with the supplied name that were inserted.
    `ChildReferences.ChildInsertions` | `insertionsBefore(ChildReference key)` Get the set of child references that were inserted before the node with the supplied key.
    `boolean` | `isEmpty()` Determine if this set of changes is empty.
    `boolean` | `isRemoved(ChildReference ref)` Determine whether the supplied child reference was removed.
    `boolean` | `isRenamed(ChildReference ref)` Determine whether the supplied child reference was renamed.
    `boolean` | `isRenamed(Name newName)` Determine whether any of the child references were renamed to the supplied name.
    `int` | `removalCount()` Get the number of child references that were removed.
    `boolean` | `remove(NodeKey key)` Remove the supplied node from this node's list of child references.
    `int` | `renameCount()` Get the number of child references that were renamed.
    `Name` | `renamed(NodeKey key)` Return the new name for the child node with the supplied key.
    `void` | `renameTo(NodeKey key, Name newName)` Rename the child reference with the given key.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionNode.ChangedChildren

          protected SessionNode.ChangedChildren()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `ChildReferences.Changes`
      Determine if this set of changes is empty.
      Specified by:
        `isEmpty` in interface `ChildReferences.Changes`
      Returns:
        true if there are no effective changes, or false if there is at least one effective change

    - #### insertionCount

          public int insertionCount()

      Description copied from interface: `ChildReferences.Changes`
      Get the number of child references that were inserted.
      Specified by:
        `insertionCount` in interface `ChildReferences.Changes`
      Returns:
        the number of inserted child references; never negative

    - #### insertionCount

          public int insertionCount(Name name)

      Description copied from interface: `ChildReferences.Changes`
      Get the number of child references that were inserted with the given name.
      Specified by:
        `insertionCount` in interface `ChildReferences.Changes`
      Parameters:
        `name` - the `Name` of a child, never `null`
      Returns:
        the number of inserted child references which have the given name; never negative

    - #### removalCount

          public int removalCount()

      Description copied from interface: `ChildReferences.Changes`
      Get the number of child references that were removed.
      Specified by:
        `removalCount` in interface `ChildReferences.Changes`
      Returns:
        the number of removed child references; never negative

    - #### renameCount

          public int renameCount()

      Description copied from interface: `ChildReferences.Changes`
      Get the number of child references that were renamed.
      Specified by:
        `renameCount` in interface `ChildReferences.Changes`
      Returns:
        the number of renamed child references; never negative

    - #### inserted

          public ChildReference inserted(NodeKey key)

      Description copied from interface: `ChildReferences.Changes`
      Get the child reference for the inserted node with the supplied key.
      Specified by:
        `inserted` in interface `ChildReferences.Changes`
      Parameters:
        `key` - the node key for the inserted node; may not be null
      Returns:
        the child reference, or null if no node was inserted with the supplied key

    - #### insertions

          public Iterator<ChildReferences.ChildInsertions> insertions(Name name)

      Description copied from interface: `ChildReferences.Changes`
      Get the references to the children with the supplied name that were inserted.
      Specified by:
        `insertions` in interface `ChildReferences.Changes`
      Parameters:
        `name` - the name; may not be null
      Returns:
        the iterator over the insertions; never null but possibly empty

    - #### insertionsBefore

          public ChildReferences.ChildInsertions insertionsBefore(ChildReference key)

      Description copied from interface: `ChildReferences.Changes`
      Get the set of child references that were inserted before the node with the supplied key.
      Specified by:
        `insertionsBefore` in interface `ChildReferences.Changes`
      Parameters:
        `key` - the node key for the node before which the inserted nodes are to be returned; may not be null
      Returns:
        the nodes that were inserted before the node with the supplied key

    - #### insertBefore

          public void insertBefore(ChildReference before,
                          ChildReference inserted)

      Insert the supplied child reference before another child reference.
      Parameters:
        `before` - the existing child reference before which the child reference is to be placed; may not be null
        `inserted` - the reference to the child that is to be inserted; may not be null

    - #### isRemoved

          public boolean isRemoved(ChildReference ref)

      Description copied from interface: `ChildReferences.Changes`
      Determine whether the supplied child reference was removed.
      Specified by:
        `isRemoved` in interface `ChildReferences.Changes`
      Parameters:
        `ref` - the reference; may not be null
      Returns:
        true if the child reference was removed, or false otherwise

    - #### isRenamed

          public boolean isRenamed(ChildReference ref)

      Description copied from interface: `ChildReferences.Changes`
      Determine whether the supplied child reference was renamed.
      Specified by:
        `isRenamed` in interface `ChildReferences.Changes`
      Parameters:
        `ref` - the reference; may not be null
      Returns:
        true if the child reference was renamed, or false otherwise

    - #### isRenamed

          public boolean isRenamed(Name newName)

      Description copied from interface: `ChildReferences.Changes`
      Determine whether any of the child references were renamed to the supplied name.
      Specified by:
        `isRenamed` in interface `ChildReferences.Changes`
      Parameters:
        `newName` - the new name; may not be null
      Returns:
        true if at least one child reference was renamed to the supplied name, or false otherwise

    - #### remove

          public boolean remove(NodeKey key)

      Remove the supplied node from this node's list of child references.
      Parameters:
        `key` - the key for the node that is to be removed; may not be null
      Returns:
        true if the node was removed, or false if the node was not referenced as a child

    - #### renamed

          public Name renamed(NodeKey key)

      Description copied from interface: `ChildReferences.Changes`
      Return the new name for the child node with the supplied key.
      Specified by:
        `renamed` in interface `ChildReferences.Changes`
      Parameters:
        `key` - the child node's key; may not be null
      Returns:
        the new name, or null if the node is not a child or was not renamed

    - #### renameTo

          public void renameTo(NodeKey key,
                      Name newName)

      Rename the child reference with the given key.
      Parameters:
        `key` - the key for the child reference; may not be null
        `newName` - the new name for the node; may not be null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getString

          public StringBuilder getString(StringBuilder sb)

    - #### getNewNames

          public Map<NodeKey,Name> getNewNames()

      Get the names for the new nodes, keyed by their key.
      Returns:
        the map of node names for the new nodes; never null but possibly empty

    - #### getRemovals

          public Set<NodeKey> getRemovals()

      Get the set of keys for the nodes that were removed from the list of child references.
      Returns:
        the keys for the removed nodes; never null but possibly empty

    - #### getInsertionsByBeforeKey

          public Map<NodeKey,SessionNode.Insertions> getInsertionsByBeforeKey()

      Get the map of insertions keyed by the 'before' node
      Returns:
        the map of insertions; never null but possibly empty

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.